%define PERL_VERSION %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)


Name:          perl-Video-DVDRip
Version:       0.98.11_01
Release:       1mamba
Summary:       Full featured DVD copy program written in Perl.
Group:         Development/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.exit1.org/dvdrip/
Source:        http://www.exit1.org/dvdrip/dist/dvdrip-%{version}.tar.gz
Patch0:        %{name}-packagenames.patch
Patch1:        %{name}-0.52.5-noNPTL.patch
Patch2:        %{name}-0.98.9-desktop.patch
Patch3:        %{name}-0.98.9-use_POSIX.patch
License:       Artistic 
Requires:      xine-ui
BuildRequires: perl-AnyEvent
BuildRequires: perl-Glib
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: perl-devel
BuildRequires: perl-Event
BuildRequires: perl-Event-ExecFlow
BuildRequires: perl-Event-RPC
BuildRequires: perl-Gtk2
BuildRequires: perl-Gtk2-Ex-FormFactory
BuildRequires: perl-libintl
BuildRequires: xine-ui
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root 
%description
dvd::rip is a full featured DVD copy program written in Perl. It provides an easy to use but feature-rich Gtk+ GUI to control almost all aspects of the ripping and transcoding process. It uses the widely known video processing swissknife transcode and many other Open Source tools. dvd::rip itself is licensed under GPL / Perl Artistic License. 

"And note: it's spelled dvd::rip, and nothing else." 

%prep

%setup -q -n dvdrip-%{version}
#%patch1 -p1
%patch2 -p1
%patch3 -p1

%define __find_provides %{_builddir}/dvdrip-%{version}/find_provides.sh
cat > find_provides.sh << _EOF
#! /bin/sh

grep -v %{buildroot}%{_libdir}/OpenOffice/program/|\
%{_prefix}/lib/rpm/find-provides %{buildroot} %{_target_cpu}
echo "perl(Video::DVDRip::GUI::CheckedEntry)"
echo "perl(Video::DVDRip::GUI::Project::BurnTab)"
echo "perl(Video::DVDRip::GUI::Project::ClipZoomTab)"
echo "perl(Video::DVDRip::GUI::Project::StorageTab)"
echo "perl(Video::DVDRip::GUI::Project::SubtitleTab)"
echo "perl(Video::DVDRip::GUI::Project::TitleTab)"
echo "perl(Video::DVDRip::GUI::Project::TranscodeTab)"
echo "perl(Video::DVDRip::GUI::Project::TranscodeTabAudio)"
echo "perl(Video::DVDRip::GUI::Project::LoggingTab)"
_EOF

chmod +x %{_builddir}/dvdrip-%{version}/find_provides.sh

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
#FIXME text fail
#%make test
%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done


mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 dvdrip.desktop %{buildroot}%{_datadir}/applications/DVD-Rip.desktop

%clean
test x"%buildroot" != x/ && rm -rf "%buildroot"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)
%{_datadir}/applications/DVD-Rip.desktop

%changelog
* Wed Jan 13 2010 Automatic Build System <autodist@mambasoft.it> 0.98.11_01-1mamba
- automatic update by autodist

* Tue Mar 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.98.10-1mamba
- automatic update by autodist

* Sun Nov 09 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.98.9-3mamba
- automatic rebuild by autodist

* Mon Oct 20 2008 gil <puntogil@libero.it> 0.98.9-2mamba
- added desktop patch

* Mon Oct 20 2008 gil <puntogil@libero.it> 0.98.9-1mamba
- update to 0.98.9

* Fri Jul 01 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.52.5-2qilnx
- added noNTPL patch to disable an NPTL workaround enabled by default

* Thu Jun 30 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.52.5-1qilnx
- update to version 0.52.5 by autospec

* Tue Oct 19 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.50.18-6qilnx
- xine requirement changed to xine-ui

* Fri Oct 08 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.50.18-5qilnx
- added another missing provide

* Fri Oct 08 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.50.18-4qilnx
- remove patch and fix requirements problems

* Thu Oct 07 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.50.18-3qilnx
- added requirements for xine

* Thu Oct 07 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.50.18-2qilnx
- rebuilt, renamed and moved from devel-contrib to devel

* Thu Sep 23 2004 Matteo Bernasconi <voyagernm@virgilio.it> 0.50.18-1qilnx
- First Build

